Skip to main content

Product custom fields

The product custom fields API allows you to view the custom field names that have been recorded.

Custom fields available parameters​

ParameterTypeDescription
contextstringScope under which the request is made; determines fields present in response. Options: view and edit. Default is view.
pageintegerCurrent page of the collection. Default is 1.
per_pageintegerMaximum number of items to be returned in result set. Default is 10.
searchstringLimit results to those matching a string.
orderstringOrder sort attribute ascending or descending. Options: asc and desc. Default is desc.

Retrieve product custom field names​

This API lets you retrieve filtered custom field names.

GET /wp-json/wc/v3/products/custom-fields/names
curl https://example.com/wp-json/wc/v3/products/custom-fields/names \
-u consumer_key:consumer_secret